------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情5
--Creator:		洪聪敏
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>241
--/reloadlua Script/TaoistNewAreaTask1.lua

	if LuaScriptMgr_IsPassionServer() == true then
		CppScriptMgr:SetViewPosByCell(509, 751)
	else
		CppScriptMgr:SetViewPosByCell(443, 662)
	end	



------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local player1 = CppScriptMgr:AddSimplePlayer(16040,443,663, "Crazy Taoist", 400300001,1);

if LuaScriptMgr_IsPassionServer() == true then
	player1:SetPos(514,747)
end




local hero = CppScriptMgr:QueryHero()
hero:SetDir(6)
if LuaScriptMgr_IsPassionServer() == true then
	CppScriptMgr:AddEffect("zf2-e280", 509, 750)
	hero:SetPos(509, 750)
else
	CppScriptMgr:AddEffect("zf2-e280", 440, 665)
	hero:SetPos(440, 665)
end



player1:Say("What you see might not be real. What you hear might not be unreal. It`s hard to tell true and false...", 2000)
CppScriptMgr:WaitMilSec(2000)


hero:Say("What you`re talking about? Do you really have 5-element Taoist Tools?", 2000)
CppScriptMgr:WaitMilSec(2000)


player1:Say("I`ve never cheated anyone. Since you helped me, I`ll only charge you 5 Silver.#35", 2000)
CppScriptMgr:WaitMilSec(2000)


hero:Say("Alright! I`d like to see what you`re realling selling.", 2000)
CppScriptMgr:WaitMilSec(2000)


player1:Say("Hehe... OK, and I`ll give you a Universal Elements Painting for free. See? I painted it myself.", 2000)
CppScriptMgr:AddEffect("zsbuff_nh", 284,415)
CppScriptMgr:WaitMilSec(2000)


hero:Say("Buy one and get one free? It looks cheap...", 2000)
CppScriptMgr:WaitMilSec(2000)

-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(3000)


CppScriptMgr:AddEffect("zsbuff_nh", 439, 670)
CppScriptMgr:AddEffect("zsbuff_nh", 439, 670)
CppScriptMgr:AddEffect("zsbuff_nh", 439, 670)
CppScriptMgr:AddEffect("zsbuff_nh", 439, 670)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Some invaders have appeared in Twisted City! Hurry up and help them!\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc35543", 150, 430, "Twisted City Lord", 250, 655)
CppScriptMgr:WaitMilSec(2000)

